Zum Hauptinhalt springen
POST
/
cms
/
hubdb
/
2026-03
/
tables
/
{tableIdOrName}
/
rows
Add a row to a table
curl --request POST \
  --url https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/rows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "childTableId": 123,
  "displayIndex": 123,
  "values": {},
  "name": "<string>",
  "path": "<string>"
}
'
{
  "childTableId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "path": "<string>",
  "publishedAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "values": {}
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

tableIdOrName
string
erforderlich

Body

application/json
childTableId
integer<int64>
erforderlich

Specifies the value for the column child table id

displayIndex
integer<int32>
erforderlich

The index position for displaying the row within the table.

values
object
erforderlich

List of key value pairs with the column name and column value

name
string

Specifies the value for hs_name column, which will be used as title in the dynamic pages

path
string

Specifies the value for hs_path column, which will be used as slug in the dynamic pages

Antwort

successful operation

childTableId
string
erforderlich

Specifies the value for the column child table id

createdAt
string<date-time>
erforderlich

Timestamp at which the row is created

id
string
erforderlich

The id of the table row

name
string
erforderlich

Specifies the value for hs_name column, which will be used as title in the dynamic pages

path
string
erforderlich

Specifies the value for hs_path column, which will be used as slug in the dynamic pages

publishedAt
string<date-time>
erforderlich

The timestamp indicating when the row was last published, in date-time format.

updatedAt
string<date-time>
erforderlich

Timestamp at which the row is updated last time

values
object
erforderlich

List of key value pairs with the column name and column value

Last modified on April 9, 2026